<template>
  <q-list bordered class="rounded-borders">
    <q-item>
      <q-item-section caption>
        Menu User
      </q-item-section>
    </q-item>
    <q-expansion-item
      group="menu"
      expand-separator
      icon="perm_identity"
      label="Account"
      :caption="user.name"
      :content-inset-level="1"
    >
      <q-list>
        <q-item clickable v-ripple tag="a" to="/profile">
          <q-item-section>Profile</q-item-section>
        </q-item>
      </q-list>
    </q-expansion-item>
    <q-list>
      <q-item clickable v-ripple to="/provider">
        <q-item-section avatar>
          <q-icon name="assessment" />
        </q-item-section>
        <q-item-section>Provider</q-item-section>
      </q-item>
    </q-list>
    <q-expansion-item
      expand-separator
      icon="shopping_cart"
      label="Produk"
      group="menu"
      :content-inset-level="1"
    >
      <q-list>
        <q-item clickable v-ripple tag="a" to="/produk/saya">
          <q-item-section>Produk Saya</q-item-section>
        </q-item>
      </q-list>
    </q-expansion-item>
  </q-list>
</template>

<script>
export default {
  name: 'MenuSamping',

  data () {
    return {
      dense: null
    }
  },

  computed: {
    user: {
      get() {
        return this.$store.state.user.user;
      },
      set(value) {
        return this.$store.commit("user/updateUserDetail", value);
      }
    }
  }
}
</script>
